### Constructor

# Clutter AlignConstraint new

#### Declaration [src]

    ClutterConstraint*
    clutter_align_constraint_new (
      ClutterActor* source,
      ClutterAlignAxis axis,
      gfloat factor
    )

#### Description [src]

Creates a new constraint, aligning a `ClutterActor`‘s position with regards of the size of the actor to `source`, with the given alignment `factor`.

#### Parameters

`source`

  Type: `ClutterActor`

  The `ClutterActor` to use as the source of the alignment, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`axis`

  Type: `ClutterAlignAxis`

  The axis to be used to compute the alignment.

`factor`

  Type: `gfloat`

  The alignment factor, between 0.0 and 1.0.

#### Return value

Type: `ClutterConstraint`

The newly created `ClutterAlignConstraint`.

The data is owned by the called function.